(define-module (mason packages jmms)
  #:use-module (gnu packages haskell-xyz)
  #:use-module (gnu packages haskell-web)
  #:use-module (gnu packages curl)
  #:use-module (guix build-system haskell)
  #:use-module (guix git-download)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (guix utils))

(define-public jmms
  (let ((commit "22916dc844b47a3be31957e10a023b11400d9d0a")
        (revision "1"))
  (package
    (name "jmms")
    (version (git-version "0.9" revision commit))
    (home-page "https://git.sr.ht/~amindfv/jmms")
    (source (origin
              (method git-fetch)
              (uri (git-reference
                    (url home-page)
                    (commit commit)
                    (recursive? #t)))
              (sha256
               (base32
                "1inma1wd83h7a5ffg3lbwvrpx46q42afb6k4fha5i1111mcpadpw"))
              (file-name (git-file-name name version))))
    (build-system haskell-build-system)
    (inputs
     `(("ghc-split" ,ghc-split)
       ("ghc-curl" ,ghc-curl)
       ("curl" ,curl)
       ("ghc-unbounded-delays" ,ghc-unbounded-delays)
       ("ghc-cereal" ,ghc-cereal)
       ("ghc-attoparsec" ,ghc-attoparsec)))
    (arguments
     `(#:tests? #f
       #:haddock? #f
       #:phases
       (modify-phases %standard-phases
         (delete 'configure)
         (delete 'register)
         (replace 'build
           (lambda _
               (invoke "ghc" "-imms-wap-wsp" "-O2" "-dynamic" "jmms.hs")))
         (replace 'install
           (lambda _
                (let* ((out (assoc-ref %outputs "out"))
                       (binout (string-append out "/bin"))
                       (binary "jmms"))
                (invoke "ls")
                (mkdir-p binout)
                (copy-file binary (string-append binout "/" binary))
               #t))))))
    (synopsis "Get and read (and soon send?) MMS")
    (description
     "Get and read (and soon send?) MMS")
    (license license:gpl3+))))

jmms
