(define-module (mason packages prevent-sleep)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (guix build-system copy)
  #:use-module (guix utils)
  #:use-module (guix gexp)
  #:use-module (gnu packages gtk))

(define-public prevent-sleep
  (package
    (name "prevent-sleep")
    (version "0.0.1")
    (home-page "https://wiki.mobian-project.org/doku.php?id=tweaks#suspend-sleep")
    (source
     (local-file "scripts/prevent-sleep" #:recursive? #t))
    (build-system copy-build-system)
    (arguments
     '(#:install-plan
       '(("prevent-sleep" "bin/")
         ("prevent-sleep.desktop" "share/applications/"))
       #:phases
       (modify-phases %standard-phases
         (add-after 'unpack 'configure
           (lambda* (#:key inputs outputs #:allow-other-keys)
             (substitute* (list "prevent-sleep")
               (("@YAD_PATH@")
                (string-append (assoc-ref inputs "yad")
                               "/bin")))
             (substitute* (list "prevent-sleep.desktop")
               (("@EXEC@")
                (string-append (assoc-ref outputs "out")
                               "/bin/prevent-sleep")))
             #t)))))
    (inputs
       `(("yad" ,yad)))
    (synopsis "Prevent sleep")
    (description
     "Prevent sleep")
    (license license:cc-by-sa4.0)))

prevent-sleep
