(define-module (mason packages toggle-keyboard)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (guix build-system copy)
  #:use-module (guix utils)
  #:use-module (guix gexp))

(define-public toggle-keyboard
  (package
    (name "toggle-keyboard")
    (version "0.0.1")
    (home-page "https://forge.monarch-pass.net/malacoda/mason")
    (source
     (local-file "scripts/toggle-keyboard" #:recursive? #t))
    (build-system copy-build-system)
    (arguments
     '(#:install-plan
       '(("toggle-keyboard" "bin/")
         ("toggle-keyboard.desktop" "share/applications/"))
       #:phases
       (modify-phases %standard-phases
         (add-after 'unpack 'configure
           (lambda* (#:key inputs outputs #:allow-other-keys)
             (substitute* (list "toggle-keyboard.desktop")
               (("@EXEC@")
                (string-append (assoc-ref outputs "out")
                               "/bin/toggle-keyboard")))
             #t)))))
    (synopsis "Toggle keyboard")
    (description
     "Toggle keyboard")
    (license license:gpl3+)))

toggle-keyboard
